apply plugin: 'com.android.application'

android {
    compileSdkVersion 30
    buildToolsVersion '30.0.2'
    useLibrary 'org.apache.http.legacy'
    defaultConfig {
        applicationId "net.micode.notes"
        minSdkVersion 14
        targetSdkVersion 30
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.txt'
        }
    }
    packagingOptions {
        exclude 'META-INF/DEPENDENCIES'
        exclude 'META-INF/NOTICE'
        exclude 'META-INF/LICENSE'
        exclude 'META-INF/LICENSE.txt'
        exclude 'META-INF/NOTICE.txt'
    }
}

dependencies {
    implementation fileTree(
            dir: 'E:\\Android\\lib\\httpcomponents-client-4.5.14-bin\\lib',
            include: ['*.aar', '*.jar'],
            exclude: ['commons-codec-1.11.jar','httpclient-4.5.14.jar','httpmime-4.5.14.jar',
                      'httpclient-cache-4.5.14.jar','fluent-hc-4.5.14.jar',
                    'httpclient-win-4.5.14.jar',
            ]

    )
}
